Program GenFonts;

Uses DOS,CRT;

Type
  AlphaType=Array [0..6,33..126] of Byte;
  String80=String[80];

Var
  AlphaFile:File of Byte;
  AlphaChar:^AlphaType;
  X,Y:Integer;

Procedure GenerateFonts;
Var
  I,J:Integer;
Begin
  {Zero all bytes}
  For I:=0 to 7 do For J:=30 to 96 do AlphaChar^[I,J]:=$00;
  {!}
  AlphaChar^[0,33]:=$18;
  AlphaChar^[1,33]:=$3C;
  AlphaChar^[2,33]:=$3C;
  AlphaChar^[3,33]:=$18;
  AlphaChar^[4,33]:=$18;
  AlphaChar^[5,33]:=$00;
  AlphaChar^[6,33]:=$18;
  {"}
  AlphaChar^[0,34]:=$36;
  AlphaChar^[1,34]:=$36;
  AlphaChar^[2,34]:=$12;
  AlphaChar^[3,34]:=$00;
  AlphaChar^[4,34]:=$00;
  AlphaChar^[5,34]:=$00;
  AlphaChar^[6,34]:=$00;
  {#}
  AlphaChar^[0,35]:=$6C;
  AlphaChar^[1,35]:=$6C;
  AlphaChar^[2,35]:=$FE;
  AlphaChar^[3,35]:=$6C;
  AlphaChar^[4,35]:=$FE;
  AlphaChar^[5,35]:=$6C;
  AlphaChar^[6,35]:=$6C;
  {Dollar sign}
  AlphaChar^[0,36]:=$10;
  AlphaChar^[1,36]:=$FE;
  AlphaChar^[2,36]:=$D0;
  AlphaChar^[3,36]:=$FE;
  AlphaChar^[4,36]:=$16;
  AlphaChar^[5,36]:=$FE;
  AlphaChar^[6,36]:=$10;
  {%}
  AlphaChar^[0,37]:=$62;
  AlphaChar^[1,37]:=$64;
  AlphaChar^[2,37]:=$08;
  AlphaChar^[3,37]:=$10;
  AlphaChar^[4,37]:=$20;
  AlphaChar^[5,37]:=$4C;
  AlphaChar^[6,37]:=$8C;
  {&}
  AlphaChar^[0,38]:=$38;
  AlphaChar^[1,38]:=$6C;
  AlphaChar^[2,38]:=$6C;
  AlphaChar^[3,38]:=$38;
  AlphaChar^[4,38]:=$6A;
  AlphaChar^[5,38]:=$E4;
  AlphaChar^[6,38]:=$7A;
  {'}
  AlphaChar^[0,39]:=$18;
  AlphaChar^[1,39]:=$18;
  AlphaChar^[2,39]:=$08;
  AlphaChar^[3,39]:=$00;
  AlphaChar^[4,39]:=$00;
  AlphaChar^[5,39]:=$00;
  AlphaChar^[6,39]:=$00;
  {(}
  AlphaChar^[0,40]:=$18;
  AlphaChar^[1,40]:=$30;
  AlphaChar^[2,40]:=$60;
  AlphaChar^[3,40]:=$60;
  AlphaChar^[4,40]:=$60;
  AlphaChar^[5,40]:=$30;
  AlphaChar^[6,40]:=$18;
  {)}
  AlphaChar^[0,41]:=$30;
  AlphaChar^[1,41]:=$18;
  AlphaChar^[2,41]:=$0C;
  AlphaChar^[3,41]:=$0C;
  AlphaChar^[4,41]:=$0C;
  AlphaChar^[5,41]:=$18;
  AlphaChar^[6,41]:=$30;
  {*}
  AlphaChar^[0,42]:=$44;
  AlphaChar^[1,42]:=$6C;
  AlphaChar^[2,42]:=$38;
  AlphaChar^[3,42]:=$FE;
  AlphaChar^[4,42]:=$38;
  AlphaChar^[5,42]:=$6C;
  AlphaChar^[6,42]:=$44;
  {+}
  AlphaChar^[0,43]:=$00;
  AlphaChar^[1,43]:=$18;
  AlphaChar^[2,43]:=$18;
  AlphaChar^[3,43]:=$7E;
  AlphaChar^[4,43]:=$18;
  AlphaChar^[5,43]:=$18;
  AlphaChar^[6,43]:=$00;
  {,}
  AlphaChar^[0,44]:=$00;
  AlphaChar^[1,44]:=$00;
  AlphaChar^[2,44]:=$00;
  AlphaChar^[3,44]:=$00;
  AlphaChar^[4,44]:=$18;
  AlphaChar^[5,44]:=$18;
  AlphaChar^[6,44]:=$08;
  {-}
  AlphaChar^[0,45]:=$00;
  AlphaChar^[1,45]:=$00;
  AlphaChar^[2,45]:=$00;
  AlphaChar^[3,45]:=$7E;
  AlphaChar^[4,45]:=$00;
  AlphaChar^[5,45]:=$00;
  AlphaChar^[6,45]:=$00;
  {.}
  AlphaChar^[0,46]:=$00;
  AlphaChar^[1,46]:=$00;
  AlphaChar^[2,46]:=$00;
  AlphaChar^[3,46]:=$00;
  AlphaChar^[4,46]:=$00;
  AlphaChar^[5,46]:=$18;
  AlphaChar^[6,46]:=$18;
  {/}
  AlphaChar^[0,47]:=$02;
  AlphaChar^[1,47]:=$06;
  AlphaChar^[2,47]:=$0C;
  AlphaChar^[3,47]:=$18;
  AlphaChar^[4,47]:=$30;
  AlphaChar^[5,47]:=$60;
  AlphaChar^[6,47]:=$40;
  {0}
  AlphaChar^[0,48]:=$7C;
  AlphaChar^[1,48]:=$C6;
  AlphaChar^[2,48]:=$D6;
  AlphaChar^[3,48]:=$D6;
  AlphaChar^[4,48]:=$D6;
  AlphaChar^[5,48]:=$C6;
  AlphaChar^[6,48]:=$7C;
  {1}
  AlphaChar^[0,49]:=$38;
  AlphaChar^[1,49]:=$18;
  AlphaChar^[2,49]:=$18;
  AlphaChar^[3,49]:=$18;
  AlphaChar^[4,49]:=$18;
  AlphaChar^[5,49]:=$18;
  AlphaChar^[6,49]:=$3C;
  {2}
  AlphaChar^[0,50]:=$7C;
  AlphaChar^[1,50]:=$C6;
  AlphaChar^[2,50]:=$06;
  AlphaChar^[3,50]:=$1C;
  AlphaChar^[4,50]:=$70;
  AlphaChar^[5,50]:=$C0;
  AlphaChar^[6,50]:=$FE;
  {3}
  AlphaChar^[0,51]:=$7C;
  AlphaChar^[1,51]:=$C6;
  AlphaChar^[2,51]:=$06;
  AlphaChar^[3,51]:=$1C;
  AlphaChar^[4,51]:=$06;
  AlphaChar^[5,51]:=$C6;
  AlphaChar^[6,51]:=$7C;
  {4}
  AlphaChar^[0,52]:=$1C;
  AlphaChar^[1,52]:=$3C;
  AlphaChar^[2,52]:=$6C;
  AlphaChar^[3,52]:=$CC;
  AlphaChar^[4,52]:=$FE;
  AlphaChar^[5,52]:=$0C;
  AlphaChar^[6,52]:=$0C;
  {5}
  AlphaChar^[0,53]:=$FE;
  AlphaChar^[1,53]:=$C0;
  AlphaChar^[2,53]:=$C0;
  AlphaChar^[3,53]:=$FC;
  AlphaChar^[4,53]:=$06;
  AlphaChar^[5,53]:=$C6;
  AlphaChar^[6,53]:=$7C;
  {6}
  AlphaChar^[0,54]:=$7C;
  AlphaChar^[1,54]:=$C7;
  AlphaChar^[2,54]:=$C0;
  AlphaChar^[3,54]:=$FC;
  AlphaChar^[4,54]:=$C6;
  AlphaChar^[5,54]:=$C6;
  AlphaChar^[6,54]:=$7C;
  {7}
  AlphaChar^[0,55]:=$FE;
  AlphaChar^[1,55]:=$06;
  AlphaChar^[2,55]:=$06;
  AlphaChar^[3,55]:=$0C;
  AlphaChar^[4,55]:=$18;
  AlphaChar^[5,55]:=$30;
  AlphaChar^[6,55]:=$30;
  {8}
  AlphaChar^[0,56]:=$7C;
  AlphaChar^[1,56]:=$C6;
  AlphaChar^[2,56]:=$C6;
  AlphaChar^[3,56]:=$7C;
  AlphaChar^[4,56]:=$C6;
  AlphaChar^[5,56]:=$C6;
  AlphaChar^[6,56]:=$7C;
  {9}
  AlphaChar^[0,57]:=$7C;
  AlphaChar^[1,57]:=$C6;
  AlphaChar^[2,57]:=$C6;
  AlphaChar^[3,57]:=$7E;
  AlphaChar^[4,57]:=$06;
  AlphaChar^[5,57]:=$C6;
  AlphaChar^[6,57]:=$7C;
  {:}
  AlphaChar^[0,58]:=$00;
  AlphaChar^[1,58]:=$18;
  AlphaChar^[2,58]:=$18;
  AlphaChar^[3,58]:=$00;
  AlphaChar^[4,58]:=$18;
  AlphaChar^[5,58]:=$18;
  AlphaChar^[6,58]:=$00;
  {;}
  AlphaChar^[0,59]:=$00;
  AlphaChar^[1,59]:=$18;
  AlphaChar^[2,59]:=$18;
  AlphaChar^[3,59]:=$00;
  AlphaChar^[4,59]:=$18;
  AlphaChar^[5,59]:=$18;
  AlphaChar^[6,59]:=$08;
  {<}
  AlphaChar^[0,60]:=$06;
  AlphaChar^[1,60]:=$1E;
  AlphaChar^[2,60]:=$78;
  AlphaChar^[3,60]:=$E0;
  AlphaChar^[4,60]:=$78;
  AlphaChar^[5,60]:=$1E;
  AlphaChar^[6,60]:=$06;
  {=}
  AlphaChar^[0,61]:=$00;
  AlphaChar^[1,61]:=$00;
  AlphaChar^[2,61]:=$7C;
  AlphaChar^[3,61]:=$00;
  AlphaChar^[4,61]:=$7C;
  AlphaChar^[5,61]:=$00;
  AlphaChar^[6,61]:=$00;
  {>}
  AlphaChar^[0,62]:=$C0;
  AlphaChar^[1,62]:=$F0;
  AlphaChar^[2,62]:=$3C;
  AlphaChar^[3,62]:=$0E;
  AlphaChar^[4,62]:=$3C;
  AlphaChar^[5,62]:=$F0;
  AlphaChar^[6,62]:=$C0;
  {?}
  AlphaChar^[0,63]:=$7C;
  AlphaChar^[1,63]:=$C6;
  AlphaChar^[2,63]:=$06;
  AlphaChar^[3,63]:=$1C;
  AlphaChar^[4,63]:=$30;
  AlphaChar^[5,63]:=$00;
  AlphaChar^[6,63]:=$30;
  {@}
  AlphaChar^[0,64]:=$7C;
  AlphaChar^[1,64]:=$82;
  AlphaChar^[2,64]:=$BA;
  AlphaChar^[3,64]:=$AA;
  AlphaChar^[4,64]:=$BC;
  AlphaChar^[5,64]:=$80;
  AlphaChar^[6,64]:=$7C;
  {A}
  AlphaChar^[0,65]:=$38;
  AlphaChar^[1,65]:=$6C;
  AlphaChar^[2,65]:=$C6;
  AlphaChar^[3,65]:=$FE;
  AlphaChar^[4,65]:=$C6;
  AlphaChar^[5,65]:=$C6;
  AlphaChar^[6,65]:=$C6;
  {B}
  AlphaChar^[0,66]:=$FC;
  AlphaChar^[1,66]:=$C6;
  AlphaChar^[2,66]:=$C6;
  AlphaChar^[3,66]:=$FC;
  AlphaChar^[4,66]:=$C6;
  AlphaChar^[5,66]:=$C6;
  AlphaChar^[6,66]:=$FC;
  {C}
  AlphaChar^[0,67]:=$7C;
  AlphaChar^[1,67]:=$C6;
  AlphaChar^[2,67]:=$C0;
  AlphaChar^[3,67]:=$C0;
  AlphaChar^[4,67]:=$C0;
  AlphaChar^[5,67]:=$C6;
  AlphaChar^[6,67]:=$7C;
  {D}
  AlphaChar^[0,68]:=$FC;
  AlphaChar^[1,68]:=$C6;
  AlphaChar^[2,68]:=$C6;
  AlphaChar^[3,68]:=$C6;
  AlphaChar^[4,68]:=$C6;
  AlphaChar^[5,68]:=$C6;
  AlphaChar^[6,68]:=$FC;
  {E}
  AlphaChar^[0,69]:=$FE;
  AlphaChar^[1,69]:=$C0;
  AlphaChar^[2,69]:=$C0;
  AlphaChar^[3,69]:=$F0;
  AlphaChar^[4,69]:=$C0;
  AlphaChar^[5,69]:=$C0;
  AlphaChar^[6,69]:=$FE;
  {F}
  AlphaChar^[0,70]:=$FE;
  AlphaChar^[1,70]:=$C0;
  AlphaChar^[2,70]:=$C0;
  AlphaChar^[3,70]:=$F0;
  AlphaChar^[4,70]:=$C0;
  AlphaChar^[5,70]:=$C0;
  AlphaChar^[6,70]:=$C0;
  {G}
  AlphaChar^[0,71]:=$7C;
  AlphaChar^[1,71]:=$C6;
  AlphaChar^[2,71]:=$C0;
  AlphaChar^[3,71]:=$DF;
  AlphaChar^[4,71]:=$C6;
  AlphaChar^[5,71]:=$C6;
  AlphaChar^[6,71]:=$7F;
  {H}
  AlphaChar^[0,72]:=$C6;
  AlphaChar^[1,72]:=$C6;
  AlphaChar^[2,72]:=$C6;
  AlphaChar^[3,72]:=$FE;
  AlphaChar^[4,72]:=$C6;
  AlphaChar^[5,72]:=$C6;
  AlphaChar^[6,72]:=$C6;
  {I}
  AlphaChar^[0,73]:=$3C;
  AlphaChar^[1,73]:=$18;
  AlphaChar^[2,73]:=$18;
  AlphaChar^[3,73]:=$18;
  AlphaChar^[4,73]:=$18;
  AlphaChar^[5,73]:=$18;
  AlphaChar^[6,73]:=$3C;
  {J}
  AlphaChar^[0,74]:=$06;
  AlphaChar^[1,74]:=$06;
  AlphaChar^[2,74]:=$06;
  AlphaChar^[3,74]:=$06;
  AlphaChar^[4,74]:=$C6;
  AlphaChar^[5,74]:=$C6;
  AlphaChar^[6,74]:=$7C;
  {K}
  AlphaChar^[0,75]:=$C6;
  AlphaChar^[1,75]:=$CC;
  AlphaChar^[2,75]:=$D8;
  AlphaChar^[3,75]:=$F0;
  AlphaChar^[4,75]:=$D8;
  AlphaChar^[5,75]:=$CC;
  AlphaChar^[6,75]:=$C6;
  {L}
  AlphaChar^[0,76]:=$C0;
  AlphaChar^[1,76]:=$C0;
  AlphaChar^[2,76]:=$C0;
  AlphaChar^[3,76]:=$C0;
  AlphaChar^[4,76]:=$C0;
  AlphaChar^[5,76]:=$C0;
  AlphaChar^[6,76]:=$FE;
  {M}
  AlphaChar^[0,77]:=$C6;
  AlphaChar^[1,77]:=$EE;
  AlphaChar^[2,77]:=$FE;
  AlphaChar^[3,77]:=$D6;
  AlphaChar^[4,77]:=$C6;
  AlphaChar^[5,77]:=$C6;
  AlphaChar^[6,77]:=$C6;
  {N}
  AlphaChar^[0,78]:=$C6;
  AlphaChar^[1,78]:=$E6;
  AlphaChar^[2,78]:=$F6;
  AlphaChar^[3,78]:=$FE;
  AlphaChar^[4,78]:=$DE;
  AlphaChar^[5,78]:=$CE;
  AlphaChar^[6,78]:=$C6;
  {O}
  AlphaChar^[0,79]:=$7C;
  AlphaChar^[1,79]:=$C6;
  AlphaChar^[2,79]:=$C6;
  AlphaChar^[3,79]:=$C6;
  AlphaChar^[4,79]:=$C6;
  AlphaChar^[5,79]:=$C6;
  AlphaChar^[6,79]:=$7C;
  {P}
  AlphaChar^[0,80]:=$FC;
  AlphaChar^[1,80]:=$C6;
  AlphaChar^[2,80]:=$C6;
  AlphaChar^[3,80]:=$FC;
  AlphaChar^[4,80]:=$C0;
  AlphaChar^[5,80]:=$C0;
  AlphaChar^[6,80]:=$C0;
  {Q}
  AlphaChar^[0,81]:=$7C;
  AlphaChar^[1,81]:=$C6;
  AlphaChar^[2,81]:=$C6;
  AlphaChar^[3,81]:=$C6;
  AlphaChar^[4,81]:=$D6;
  AlphaChar^[5,81]:=$CD;
  AlphaChar^[6,81]:=$7A;
  {R}
  AlphaChar^[0,82]:=$FC;
  AlphaChar^[1,82]:=$C6;
  AlphaChar^[2,82]:=$C6;
  AlphaChar^[3,82]:=$FC;
  AlphaChar^[4,82]:=$C6;
  AlphaChar^[5,82]:=$C6;
  AlphaChar^[6,82]:=$C6;
  {S}
  AlphaChar^[0,83]:=$7C;
  AlphaChar^[1,83]:=$C6;
  AlphaChar^[2,83]:=$C0;
  AlphaChar^[3,83]:=$7C;
  AlphaChar^[4,83]:=$07;
  AlphaChar^[5,83]:=$C7;
  AlphaChar^[6,83]:=$7C;
  {T}
  AlphaChar^[0,84]:=$7E;
  AlphaChar^[1,84]:=$18;
  AlphaChar^[2,84]:=$18;
  AlphaChar^[3,84]:=$18;
  AlphaChar^[4,84]:=$18;
  AlphaChar^[5,84]:=$18;
  AlphaChar^[6,84]:=$18;
  {U}
  AlphaChar^[0,85]:=$C6;
  AlphaChar^[1,85]:=$C6;
  AlphaChar^[2,85]:=$C6;
  AlphaChar^[3,85]:=$C6;
  AlphaChar^[4,85]:=$C6;
  AlphaChar^[5,85]:=$C6;
  AlphaChar^[6,85]:=$7C;
  {V}
  AlphaChar^[0,86]:=$C6;
  AlphaChar^[1,86]:=$C6;
  AlphaChar^[2,86]:=$6C;
  AlphaChar^[3,86]:=$6C;
  AlphaChar^[4,86]:=$38;
  AlphaChar^[5,86]:=$38;
  AlphaChar^[6,86]:=$10;
  {W}
  AlphaChar^[0,87]:=$C6;
  AlphaChar^[1,87]:=$C6;
  AlphaChar^[2,87]:=$C6;
  AlphaChar^[3,87]:=$D6;
  AlphaChar^[4,87]:=$FE;
  AlphaChar^[5,87]:=$EE;
  AlphaChar^[6,87]:=$C6;
  {X}
  AlphaChar^[0,88]:=$C6;
  AlphaChar^[1,88]:=$6C;
  AlphaChar^[2,88]:=$38;
  AlphaChar^[3,88]:=$10;
  AlphaChar^[4,88]:=$38;
  AlphaChar^[5,88]:=$6C;
  AlphaChar^[6,88]:=$C6;
  {Y}
  AlphaChar^[0,89]:=$66;
  AlphaChar^[1,89]:=$66;
  AlphaChar^[2,89]:=$66;
  AlphaChar^[3,89]:=$3C;
  AlphaChar^[4,89]:=$18;
  AlphaChar^[5,89]:=$18;
  AlphaChar^[6,89]:=$18;
  {Z}
  AlphaChar^[0,90]:=$FE;
  AlphaChar^[1,90]:=$0E;
  AlphaChar^[2,90]:=$1C;
  AlphaChar^[3,90]:=$38;
  AlphaChar^[4,90]:=$70;
  AlphaChar^[5,90]:=$E0;
  AlphaChar^[6,90]:=$FE;
  {[}
  AlphaChar^[0,91]:=$3C;
  AlphaChar^[1,91]:=$30;
  AlphaChar^[2,91]:=$30;
  AlphaChar^[3,91]:=$30;
  AlphaChar^[4,91]:=$30;
  AlphaChar^[5,91]:=$30;
  AlphaChar^[6,91]:=$3C;
  {\}
  AlphaChar^[0,92]:=$40;
  AlphaChar^[1,92]:=$60;
  AlphaChar^[2,92]:=$30;
  AlphaChar^[3,92]:=$18;
  AlphaChar^[4,92]:=$0C;
  AlphaChar^[5,92]:=$06;
  AlphaChar^[6,92]:=$02;
  {]}
  AlphaChar^[0,93]:=$3C;
  AlphaChar^[1,93]:=$0C;
  AlphaChar^[2,93]:=$0C;
  AlphaChar^[3,93]:=$0C;
  AlphaChar^[4,93]:=$0C;
  AlphaChar^[5,93]:=$0C;
  AlphaChar^[6,93]:=$3C;
  {^}
  AlphaChar^[0,94]:=$10;
  AlphaChar^[1,94]:=$38;
  AlphaChar^[2,94]:=$6C;
  AlphaChar^[3,94]:=$C6;
  AlphaChar^[4,94]:=$82;
  AlphaChar^[5,94]:=$00;
  AlphaChar^[6,94]:=$00;
  {_}
  AlphaChar^[0,95]:=$00;
  AlphaChar^[1,95]:=$00;
  AlphaChar^[2,95]:=$00;
  AlphaChar^[3,95]:=$00;
  AlphaChar^[4,95]:=$00;
  AlphaChar^[5,95]:=$7E;
  {`}
  AlphaChar^[0,96]:=$18;
  AlphaChar^[1,96]:=$18;
  AlphaChar^[2,96]:=$10;
  AlphaChar^[3,96]:=$00;
  AlphaChar^[4,96]:=$00;
  AlphaChar^[5,96]:=$00;
  AlphaChar^[6,96]:=$00;

  {Characters 97-122 (lowercase letters) are transposed to their
   uppercase equivalents in the WriteString Procedure}

  {Open Curly bracket}
  AlphaChar^[0,123]:=$1C;
  AlphaChar^[1,123]:=$30;
  AlphaChar^[2,123]:=$30;
  AlphaChar^[3,123]:=$60;
  AlphaChar^[4,123]:=$30;
  AlphaChar^[5,123]:=$30;
  AlphaChar^[6,123]:=$1C;
  {|}
  AlphaChar^[0,124]:=$18;
  AlphaChar^[1,124]:=$18;
  AlphaChar^[2,124]:=$18;
  AlphaChar^[3,124]:=$00;
  AlphaChar^[4,124]:=$18;
  AlphaChar^[5,124]:=$18;
  AlphaChar^[6,124]:=$18;
  {Close curly bracket}
  AlphaChar^[0,125]:=$70;
  AlphaChar^[1,125]:=$18;
  AlphaChar^[2,125]:=$18;
  AlphaChar^[3,125]:=$0C;
  AlphaChar^[4,125]:=$18;
  AlphaChar^[5,125]:=$18;
  AlphaChar^[6,125]:=$70;
End;

Begin
  New(AlphaChar);
  GenerateFonts;
  Assign(AlphaFile,'FONT7X7.DAT');
  Rewrite(AlphaFile);
  For X:=0 to 6 do For Y:=33 to 126 do Write(AlphaFile,AlphaChar^[X,Y]);
  Close(AlphaFile);
End.
